include ../../../include/gcc_unx.std

MCFLAGS = -I..

SYS     = nwsnmp
SYSLIB  = nw

OBJ =   $(SYS).o

all: $(INCDIR)/$(SYS).h

install: all 

$(INCDIR)/$(SYS).h: $(SYS).h 
	$(CP) $(SYS).h $(INCDIR)/$(SYS).h

obj: $(OBJ)
       
clean:
	- $(RM) *.o
	- $(RM) *.a
	- $(RM) *.exe
	- $(RM) core
	- $(RM) test
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak

$(SYS).o: $(SYS).c $(SYS).h

man: NwSnmp.3

NwSnmp.3: $(SYS).c
	-rm -f *.3
	c2man $(MCFLAGS) -G"NwSnmp module functions" -l n -M $(SYS) $(SYS).c
	mv NwSnmpInit.3 NwSnmp.3
	c2man $(MCFLAGS) $(SYS).c
