#!/usr/local/bin/perl
#
#	This programm kills a collector in a
#	RMON monitor.
#
#	killcoll collName collNr ownerString [<host> <community> <medium>]
#
#
require "spook.pl";	   
require "collector.pl";
#
# handle the arguments
#
if( @ARGV<3 || @ARGV>6 )
{
	die 	"call as:  killcoll collName collNr ownerString [<host> <community> <medium>]\n" ,
		" where:\n" ,
		"	<collName>	name of collector\n" ,
		"	<collNr>	sequence number  of collector\n" ,
		"	<ownerString>	ownerstring of collector\n" ,
		"	<host>		name of RMON monitor\n" ,
		"	<community>	community name for creating collectors\n",
		"	<medium>	UDP or PIPE\n";
}
($iniCName,$iniCollNr,$iniOString, $iniHost , $iniComm , $iniMed,@rest) = @ARGV;

# create the SPOOK connection
&snmp_open(1) || die "cant open a Spook connection\n";
if($iniHost ne "") { &snmp_host(1,$iniHost);}
if($iniMed ne "")  {&snmp_medium(1,$iniMed);}
&snmp_connect(1) || die "could't connect to ($iniHost,$iniMed)";
if($iniComm ne "") {&snmp_community(1,$iniComm);}

# send a kill command to the RMON monitor
$res = &remove_collector(1,$iniCName,$iniCollNr,$iniOString);

if($res == 1)
{
	print "collector successfully destroyed\n";
}
else
{
	print "destruction failed\n";
}
&snmp_disconnect(1);
&snmp_close(1);
exit;
